<?php
  include "includes/config.php";
  $nav = 'history';
  $page = 'history';
  $navCat= 'logs';
  // Page Seo Settings
  $page_title = 'History |Royal';
  $page_description = 'Royal Bees is an online store where you can buy accessories for Woman, Men and Kids. Our products are designed in Europe and made from most precious gemstones and silver. We have wide range of luxurious products that will meet your needs.';
  $page_img = 'https://luxgems.co.uk/pos/layouts/images/og.png';
  $page_url = 'https://luxgems.co.ukpos/history';
  include "includes/header2.php";
  include "includes/navBar.php";
  
  if(isset($_GET['page']) && !is_null($_GET['page'])){$page_number = $_GET['page'];}
  else{$page_number=1;}

  if (isset($_SESSION['seller_token'])) {
    $arr = array('api_token' => $_SESSION['seller_token'], 'per_page' => 10, 'page' => $page_number);
    $result = postApi($api_link . 'seller/history', $arr);
  } else {echo "<script>document.location.replace('./')</script>";}
  $arr = array('api_token' => $_SESSION['seller_token']);
  $week_count = postApi($api_link . 'seller/store/last/7/days', $arr);
?>
      <div class="bg-main no-print">
        <div class="w-overlay py-3 v-height text-right">
          <div class="container">
            <?php if (count($result['histories']['data']) < 1){ ?>
              <h3 class="text-center mt-5 text-muted text-uppercase font-weight-bold"><?php echo $lang['history_sorry'] ?></h3>
            <?php }else{ ?>
              <div class="d-flex flex-wrap justify-content-between">
              <h3 class="text-right text-muted text-uppercase font-weight-bold"><?php echo $lang['history_log'] ?></h3>
              </div>
            <?php if (isset($week_count) && $week_count['code'] == 200): ?>
              <p class="text-right"><?php echo $lang['week_selling'] ?>: <?php echo $week_count['total_price_sold'] ?></p>
            <?php endif; ?>

            <button type="button" class="btn btn-info" data-toggle="modal" data-target="#exampleModalScrollable"><?php echo $lang['last_7'] ?></button>
            <a href="invoice.php" class="btn btn-primary"><?php echo $lang['bill_log'] ?></a>
            <a href="Safe.php" type="button" class="btn btn-primary"> 
                الخزنه
                <i class="fa-solid fa-vault mr-2"></i>
              </a>
            <!-- Last 7 Days Modal -->
            <div class="modal fade" id="exampleModalScrollable" tabindex="-1" role="dialog" aria-labelledby="exampleModalScrollableTitle" aria-hidden="true">
              <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable modal-lg" role="document">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalScrollableTitle"><?php echo $lang['last_7'] ?></h5>
                    <button type="button" class="close mr-auto ml-0" data-dismiss="modal" aria-label="Close">
                      <span aria-hidden="true">&times;</span>
                    </button>
                  </div>
                  <div class="modal-body">
                    <?php
                      $arr = array('api_token' => $_SESSION['seller_token']);
                      $month_count = postApi($api_link . 'seller/store/last/7/days/history', $arr);
                    ?>
                    <table class="table table-bordered table-hover text-center">
                      <thead>
                        <th><?php echo $lang['day'] ?></th>
                        <th><?php echo $lang['sales'] ?></th>
                        <th><?php echo $lang['visa'] ?></th>
                        <th><?php echo $lang['cache'] ?></th>
                        <th><?php echo $lang['expenses'] ?></th>
                      </thead>
                      <tbody>
                        <?php
                          $total = 0;
                          foreach ($month_count['day_details'] as $value):
                        ?>
                          <tr>
                            <td><?php echo $value['day'] ?></td>
                            <td><?php echo $value['day_total_price'] ?></td>
                            <td><?php echo $value['visa'] ?></td>
                            <td><?php echo $value['cash'] ?></td>
                            <td><?php echo $value['expenses'] ?></td>
                          </tr>
                          <?php
                              $total += $value['day_total_price'];
                            endforeach;
                          ?>
                          <tr class="bg-dark text-white">
                            <th><?php echo $lang['total']; ?></th>
                            <td><?php echo $total; ?> <?php echo $currency; ?></td>
                            <td><?php echo $month_count['total_visa']; ?> <?php echo $currency; ?></td>
                            <td><?php echo $month_count['total_cash']; ?> <?php echo $currency; ?></td>
                            <td><?php echo $month_count['total_expense']; ?> <?php echo $currency; ?></td>
                          </tr>
                           <tr class="bg-dark text-white">
                            <th><?php echo $lang['supply']; ?></th>
                            <td><?php echo $month_count['total_amount']; ?> <?php echo $currency; ?></td>
                          </tr>
                      </tbody>
                    </table>
                  </div>
                  <div class="modal-footer justify-content-between">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal"><?php echo $lang['ok']; ?></button>
                    <button type="button" class="btn btn-primary" onclick="print_refund()"><?php echo $lang['print']; ?></button>
                  </div>
                </div>
              </div>
            </div>

            <div class="row justify-content-start text-right">
              <?php foreach ($result['histories']['data'] as $product): ?>
                <div class="col-md-6 my-2">
                  <div class="bg-white rounded shadow-sm p-3 py-4">
                    <div class="border rounded p-2">
                      <h4 class="font-weight-bold"><?php echo $product['product_name']; ?></h4>
                      <span class="badge badge-info"><?php echo $product['order_status']; ?></span>
                      <span class="text-muted text-sm"><?php echo $product['created_at']; ?></span>
                      <p class="text-muted text-md m-0"><?php echo $lang['bill_code']; ?>: <?php echo $product['bill_id'] ?></p>
                      <p class="text-muted text-md m-0"><?php echo $lang['price']; ?>: <?php echo $product['item_price'] ?></p>
                      <p class="text-muted text-md m-0"><?php echo $lang['quantity']; ?>: <?php echo $product['quantity'] ?></p>
                      <p class="text-muted text-md m-0"><?php echo $lang['total']; ?>: <?php echo $product['item_price']  * $product['quantity'] . ' ' . $currency; ?></p>
                    </div>
                  </div>
                </div>
              <?php endforeach; ?>
            </div>
            <!-- pagination -->
            <?php if($result['histories']['last_page'] !== 1){ ?>
      				<div class="card-bg p-2 rounded mb-2">
      					<nav aria-label="Page navigation example">
      						<ul class="pagination m-0 p-0 justify-content-center">
      							<li class="page-item <?php echo ($page_number >= 2 ? '' : 'disabled') ?>">
      		            <a class="page-link rounded-0 mx-1" href="history.php?page=<?php echo $page_number-1 ?>" tabindex="-1" aria-disabled="true">&laquo;</a>
      		          </li>
      							<?php
      								$total_pages = $result['histories']['total'];
      								$per_page = ceil($total_pages/10);
      								if ($per_page < 2) {
      									for($page_counter = 1 ; $page_counter <= $per_page ; $page_counter++) {
      					  	?>
      								<li class='page-item <?php echo ($page_number == $page_counter ? 'disabled' : '') ?>'>
      									<a class='page-link rounded-0 mx-1' href='history.php?page=<?php echo $page_counter ?>'><?php echo $page_counter ?></a>
      								</li>
      							<?php
      									}
      								}elseif ($per_page > 2) {
      										// if it large pagination and current page is in middle
      									if ($page_number > 2 && $page_number < $per_page-2) {
      							?>
      							<li class='page-item'>
      								<a class='page-link rounded-0 mx-1' href='history.php?page=1'>1</a>
      							</li>
      							<li class='page-item disabled'>
      								<a class='page-link rounded-0 mx-1' href='#'>...</a>
      							</li>
      							<?php for($pages_count = $page_number -1; $pages_count < $page_number+2; $pages_count++){ ?>
      								<li class='page-item <?php echo ($page_number == $pages_count ? 'disabled' : '') ?>'>
      									<a class='page-link rounded-0 mx-1' href='history.php?page=<?php echo $pages_count ?>'><?php echo $pages_count ?></a>
      								</li>
      							<?php } ?>
      							<li class='page-item disabled'>
      								<a class='page-link rounded-0 mx-1' href='#'>...</a>
      							</li>
      							<li class='page-item'>
      								<a class='page-link rounded-0 mx-1' href='history.php?page=<?php echo $per_page ?>'><?php echo $per_page ?></a>
      							</li>
      							<?php
      								// if it page num 1
      								}elseif ($page_number == 1 || $page_number == 2) {
      										for($pages_count = $page_number; $pages_count <= $page_number + 3; $pages_count++){
      							?>
      							<li class='page-item <?php echo ($page_number == $pages_count ? 'disabled' : '') ?>'>
      								<a class='page-link rounded-0 mx-1' href='history.php?page=<?php echo $pages_count ?>'><?php echo $pages_count ?></a>
      							</li>
      							<?php } ?>
      							<li class='page-item disabled'>
      								<a class='page-link rounded-0 mx-1' href='#'>...</a>
      							</li>
      							<li class='page-item'>
      								<a class='page-link rounded-0 mx-1' href='history.php?page=<?php echo $per_page ?>'><?php echo $per_page ?></a>
      							</li>
      							<?php
      								}elseif ($page_number == $per_page || $page_number == $per_page-1 || $page_number == $per_page-2) {
      							?>
      							<li class='page-item'>
      								<a class='page-link rounded-0 mx-1' href='history.php?page=1'>1</a>
      							</li>
      							<li class='page-item disabled'>
      								<a class='page-link rounded-0 mx-1' href='#'>...</a>
      							</li>
      							<?php
      								for($pages_count = $page_number-3; $pages_count <= $per_page; $pages_count++){
      							?>
      							<li class='page-item <?php echo ($page_number == $pages_count ? 'disabled' : '') ?>'>
      								<a class='page-link rounded-0 mx-1' href='history.php?page=<?php echo $pages_count ?>'><?php echo $pages_count ?></a>
      							</li>
      							<?php
      										}
      									}
      								}
      							?>
      							<li class="page-item <?php echo ($page_number >= $result['histories']['last_page'] ? 'disabled' : '') ?>">
      		            <a class="page-link rounded-0 mx-1" href="history.php?page=<?php echo $page_number+1 ?>">&raquo;</a>
      		          </li>
      						</ul>
      					</nav>
      				</div>
      			<?php }?>
            <!-- ./pagination -->
          </div>
        <?php }?>
        </div>
      </div>

      <div class="only-print d-none" id="print_refund" dir="rtl" style="width:100%; margin-right: 5mm; text-align: center !important">
        <?php include 'includes/print/header.php'; ?>
        <h4 class="text-center"><?php echo $lang['month_log']; ?></h4>
          <table class="table table-bordered table-hover text-center">
                      <thead>
                        <th><?php echo $lang['day'] ?></th>
                        <th><?php echo $lang['sales'] ?></th>
                        <th><?php echo $lang['visa'] ?></th>
                        <th><?php echo $lang['cache'] ?></th>
                        <th><?php echo $lang['expenses'] ?></th>
                      </thead>
                      <tbody>
                        <?php
                          $total = 0;
                          foreach ($month_count['day_details'] as $value):
                        ?>
                          <tr>
                            <td><?php echo $value['day'] ?></td>
                            <td><?php echo $value['day_total_price'] ?></td>
                            <td><?php echo $value['visa'] ?></td>
                            <td><?php echo $value['cash'] ?></td>
                            <td><?php echo $value['expenses'] ?></td>
                          </tr>
                          <?php
                              $total += $value['day_total_price'];
                            endforeach;
                          ?>
                          <tr class="">
                            <th><?php echo $lang['total']; ?></th>
                            <td><?php echo $total; ?> <?php echo $currency; ?></td>
                            <td><?php echo $month_count['total_visa']; ?> <?php echo $currency; ?></td>
                            <td><?php echo $month_count['total_cash']; ?> <?php echo $currency; ?></td>
                            <td><?php echo $month_count['total_expense']; ?> <?php echo $currency; ?></td>
                          </tr>
                           <tr class="">
                            <th><?php echo $lang['supply']; ?></th>
                            <td><?php echo $month_count['total_amount']; ?> <?php echo $currency; ?></td>
                          </tr>
                      </tbody>
                    </table>
        <?php include 'includes/print/footer.php'; ?>
      </div>

      <script src="layouts/js/jquery-3.3.1.min.js"></script>
      <script type="text/javascript">
        function print_refund(){
          $("#exampleModalScrollable").modal('hide');
          setTimeout(function(){window.print();}, 1000);
        }
      </script>
    <?php include "includes/footer.php"; ?>
