<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="<?php echo $page_description ?>">
    <!-- Chrome, Firefox OS and Opera -->
    <meta name="theme-color" content="#00b5c8">
    <!-- Windows Phone -->
    <meta name="msapplication-navbutton-color" content="#00b5c8">
    <!-- Status Bar For iOS Safari -->
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="#00b5c8">
    <!-- Page Title For iOS Safari -->
    <meta name="apple-mobile-web-app-title" content="<?php echo $page_title ?>">
    <!-- Page Title -->
    <title><?php echo $page_title ?></title>
    <!-- OG Meta Tags -->
    <meta property="og:title" content="<?php echo $page_title ?>">
    <meta property="og:type" content="website">
    <meta property="og:url" content="<?php echo $page_url ?>">
    <meta property="og:image" content="<?php echo $page_img ?>">
    <meta property="og:description" content="<?php echo $page_description ?>">
    <!-- Twitter Cards -->
    <meta name="twitter:card" content="summary_large_image">
    <meta name="twitter:site" content="@">
    <meta name="twitter:creator" content="@" />
    <meta name="twitter:title" content="<?php echo $page_title ?>">
    <meta name="twitter:description" content="<?php echo $page_description ?>">
    <meta name="twitter:image" content="<?php echo $page_img ?>">
    <meta property="og:url" content="<?php echo $page_url ?>" />
    <!-- Windows Start Screen tile -->
    <meta name="application-name" content="<?php echo $page_title ?>">
    <meta name="msapplication-TileColor" content="#00b5c8">
    <!-- Bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="stylesheet" href="layouts/css/bootstrap.min.css" media="all">
    <!-- My Custom Style -->
    <link rel="stylesheet" href="layouts/css/style.css" media="all">
    <link rel="stylesheet" href="layouts/css/print.css" media="print">
    <!-- App Manifest-->
    <link rel="manifest" href="layouts/js/manifest.json">
    <!-- FavIcon -->
    <link rel="shortcut icon" href="layouts/images/icon/favicon.ico">
    <!-- IOS Launch Screen Image -->
    <link rel="apple-touch-startup-image" href="layouts/images/icon/icon_largetile.png">
    <!-- iOS Safari -->
    <link rel="apple-touch-icon" href="layouts/images/icon/touch-icon-iphone.png">
    <link rel="apple-touch-icon" sizes="152x152" href="layouts/images/icon/touch-icon-ipad.png">
    <link rel="apple-touch-icon" sizes="180x180" href="layouts/images/icon/touch-icon-iphone-retina.png">
    <link rel="apple-touch-icon" sizes="167x167" href="layouts/images/icon/touch-icon-ipad-retina.png">
    <!-- Font Import -->
    <link href="https://fonts.googleapis.com/css?family=Cairo&display=swap" rel="stylesheet">
    <!-- [if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    [endif]
    -->
  </head>
  <body class="bg-light" dir="rtl">
    <!-- Header -->
    <?php if (!isset($page) || $page != 'login'): ?>
      <div class="">
        <!-- Top Bar -->
        <div class="bg-white border-bottom no-print">
          <div class="container">
            <nav class="navbar navbar-expand-lg navbar-light py-0">
              <a class="navbar-brand" href="avilable_products.php" title="Royal Bees">
                <img class="img-fluid hvr-bounce-in" src="layouts/images/logo.png" alt="Royal Bees" style="width: 75px">
              </a>
              <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
              </button>
              <div class="collapse navbar-collapse justify-content-center" id="navbarNav">
                <ul class="navbar-nav ">

                  <!-- <li class="nav-item dropdown mx-1 <?php// echo ($nav == 'checkout'? 'active':'') ?>">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownHome" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                      <?php// echo $lang['checkout']; ?>
                    </a>
                    <div class="dropdown-menu" aria-labelledby="navbarDropdownHome">
                   <a class="dropdown-item" href="home.php"><?php// echo $lang['checkout']; ?></a> -->
                      <!-- <a class="dropdown-item" href="avilable_products.php"><?php// echo $lang['avilable_products']; ?></a> -->
                      <!-- <a class="dropdown-item" href="home3.php">بيع منتج 3</a> -->
                    <!-- </div> -->
                  <!-- </li> --> 
                  <li class="nav-item mx-1 <?php echo ($nav == 'checkout'? 'active':'') ?>"><a href="avilable_products.php" class="nav-link"><?php echo $lang['avilable_products']; ?></a></li>
                  <li class="nav-item mx-1 <?php echo ($nav == 'Wholesale'? 'active':'') ?>"><a href="Wholesale.php" class="nav-link">الكميات المتاحه لكل المنتجات</a></li>
                  <li class="nav-item mx-1 <?php echo ($nav == 'home'? 'active':'') ?>"><a href="checkout.php" class="nav-link"><?php echo $lang['product_details']; ?></a></li>
                  <li class="nav-item mx-1 <?php echo ($nav == 'refund'? 'active':'') ?>"><a href="refund.php" class="nav-link"><?php echo $lang['bill_details']; ?></a></li>
                  <li class="nav-item mx-1 <?php echo ($nav == 'history'? 'active':'') ?>"><a href="history.php" class="nav-link"><?php echo $lang['log']; ?></a></li>
                  <li class="nav-item mx-1 <?php echo ($nav == 'income'? 'active':'') ?>"><a href="income.php" class="nav-link"><?php echo $lang['income_log']; ?></a></li>
                  <li class="nav-item mx-1 <?php echo ($nav == 'present'? 'active':'') ?>"><a href="products_present.php" class="nav-link">هدايا</a></li>
                  <li class="nav-item mx-1 <?php echo ($nav == 'shipOrder'? 'active':'') ?>"><a href="shipOrder.php" class="nav-link">شحن طلبيه</a></li>
                  <li class="nav-item mx-1 <?php echo ($nav == 'transfer'? 'active':'') ?>"><a href="transfer.php" class="nav-link">تحويل طلبيه</a></li>
                  <li class="nav-item mx-1 <?php echo ($nav == 'approvement'? 'active':'') ?>"><a href="approvement.php" class="nav-link">طلبات التحويل </a></li>
                  <li class="nav-item mx-1 <?php echo ($nav == 'Expenses'? 'active':'') ?>"><a href="Expenses.php" class="nav-link">المصروفات</a></li>
                  <li class="nav-item mx-1 <?php echo ($nav == 'try'? 'active':'') ?>"><a href="try.php" class="nav-link">try</a></li>

                  <!-- <li class="nav-item mx-1 <?php //echo ($nav == 'inprogress'? 'active':'') ?>"><a href="inprogress.php" class="nav-link"><?php //echo $lang['orders']; ?></a></li> -->
                  <li class="nav-item dropdown mx-1">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><?php echo $lang['hello']; ?> <?php echo $_SESSION['seller_name'] ?></a>
                    <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                      <a class="dropdown-item" href="logout.php"><?php echo $lang['logout']; ?></a>
                    </div>
                  </li>
                </ul>
              </div>
            </nav>
          </div>
        </div>
        <!-- ./Top Bar -->
      </div>
    <?php endif; ?>
    <!-- ./Header -->
    <style>
      .navbar-nav{
          padding-right: 5px !important;
      } 
      .navbar-light .navbar-nav .nav-link{
        font-size: 15px;
      }
      </style>
  <!-- <a href="allShippingOrder.php" class="nav-link <?php echo ($nav == 'allShippingOrder'? 'activee':'') ?>">طلبات الشحن </a>
            <a href="allTransfers.php" class="nav-link <?php echo ($nav == 'allTransfers'? 'activee':'') ?>">طلبات التحويل </a> -->