<?php
  include "includes/config.php";
  $nav = 'inprogress';
  $page = 'inprogress';
  // Page Seo Settings
  $page_title = 'In Progress |Royal';
  $page_description = 'Royal Bees is an online store where you can buy accessories for Woman, Men and Kids. Our products are designed in Europe and made from most precious gemstones and silver. We have wide range of luxurious products that will meet your needs.';
  $page_img = 'https://luxgems.co.uk/pos/layouts/images/og.png';
  $page_url = 'https://luxgems.co.ukpos/history';
  include "includes/header2.php";
  include "includes/navBar.php";

  if(isset($_GET['page']) && !is_null($_GET['page'])){$page_number = $_GET['page'];}
  else{$page_number=1;}

  if (isset($_SESSION['seller_token'])) {
    $arr = array('api_token' => $_SESSION['seller_token']);
    $inProgress = postApi($api_link . 'seller/get/inprogress', $arr);
  } else {echo "<script>document.location.replace('./')</script>";}
?>
      <div class="bg-main no-print">
        <div class="w-overlay py-3 v-height text-right">
          <div class="container">
            <?php if (count($inProgress['items']) < 1){ ?>
              <h3 class="text-center mt-5 text-muted text-uppercase font-weight-bold"><?php echo $lang['no_orders']; ?></h3>
            <?php }else{ ?>
            <h3 class="text-right text-muted text-uppercase font-weight-bold"><?php echo $lang['orders']; ?></h3>
            <?php foreach ($inProgress['items'] as $key => $products){ ?>
              <div class="bg-white rounded shadow-sm p-3 my-4">
                <h4 class="text-center text-muted text-uppercase font-weight-bold"><?php echo $lang['bill_code']; ?>: <?php echo $products['bill_id'] ?></h4>
                <hr>
                <table class="table table-bordered table-hover table-sm text-center">
                  <tbody>
                    <tr>
                      <td class="font-weight-bold"><?php echo $lang['date']; ?></td>
                      <td><?php echo $products['created_at'] ?></td>
                    </tr>
                    <tr>
                      <td class="font-weight-bold"><?php echo $lang['bill_cost']; ?></td>
                      <td><?php echo $products['purchase_price'] ?> <?php echo $currency; ?></td>
                    </tr>
                    <tr>
                      <td class="font-weight-bold"><?php echo $lang['used_code']; ?></td>
                      <td><?php echo $products['use_promo'] ?></td>
                    </tr>
                    <tr>
                      <td class="font-weight-bold"><?php echo $lang['shippment_price']; ?></td>
                      <td><?php echo $products['shipment'] ?> <?php echo $currency; ?></td>
                    </tr>
                    <tr>
                      <td class="font-weight-bold"><?php echo $lang['shipment_without_price']; ?></td>
                      <td><?php echo $products['bill_price_without_shipment'] ?> <?php echo $currency; ?></td>
                    </tr>
                    <tr>
                      <td class="font-weight-bold"><?php echo $lang['username']; ?></td>
                      <td><?php echo $products['user_name'] ?></td>
                    </tr>
                    <tr>
                      <td class="font-weight-bold"><?php echo $lang['branch']; ?></td>
                      <td><?php echo $products['store_name'] ?></td>
                    </tr>
                  <tbody>
                </table>
                <div class="row">
                  <div class="col-md-6">
                    <button type="button" class="btn btn-primary btn-sm btn-block" onclick='print_refund(<?php echo json_encode($products); ?>)'><?php echo $lang['print']; ?></button>
                  </div>
                  <div class="col-md-6">
                    <button id="delivered" type="button" class="btn btn-success btn-sm btn-block" onclick='delivered(<?php echo $products['purchase_id']; ?>)'><?php echo $lang['delivered']; ?></button>
                  </div>
                </div>
              <div class="row justify-content-start text-right">
                <?php foreach ($products['bill_products'] as $product): ?>
                  <div class="col-md-6 my-2">
                    <div class="border rounded p-2">
                      <h4 class="font-weight-bold"><?php echo $product['product_name'] ?><span class="badge badge-info text-sm mr-1"><?php echo $product['order_status'] ?></span></h4>
                      <table class="table table-bordered table-hover table-sm text-center">
                        <tbody>
                          <tr>
                            <td class="font-weight-bold"><?php echo $lang['price']; ?></td>
                            <td><?php echo $product['price'] ?> <?php echo $currency; ?></td>
                          </tr>
                          <tr>
                            <td class="font-weight-bold"><?php echo $lang['quantity']; ?></td>
                            <td><?php echo $product['quantity'] ?></td>
                          </tr>
                          <tr>
                            <td class="font-weight-bold"><?php echo $lang['buying_price']; ?></td>
                            <td><?php echo $product['bought_price'] ?> <?php echo $currency; ?></td>
                          </tr>
                          <!-- <tr>
                            <td class="font-weight-bold">الإجمالي</td>
                            <td><?php // echo $product['price']  * $product['quantity'] . ' جنية' ?></td>
                          </tr> -->
                        <tbody>
                      </table>
                    </div>
                  </div>
                <?php endforeach; ?>
              </div>
            </div>
          <?php } ?>
            <!-- pagination -->
            <?php if($inProgress['last_page'] !== 1 && isset($inProgress['last_page'])){ ?>
      				<div class="card-bg p-2 rounded mb-2">
      					<nav aria-label="Page navigation example">
      						<ul class="pagination m-0 p-0 justify-content-center">
      							<li class="page-item <?php echo ($page_number >= 2 ? '' : 'disabled') ?>">
      		            <a class="page-link rounded-0 mx-1" href="history.php?page=<?php echo $page_number-1 ?>" tabindex="-1" aria-disabled="true">&laquo;</a>
      		          </li>
      							<?php
      								$total_pages = $result['histories']['total'];
      								$per_page = ceil($total_pages/10);
      								if ($per_page < 5) {
      									for($page_counter = 1 ; $page_counter <= $per_page ; $page_counter++) {
      					  	?>
      								<li class='page-item <?php echo ($page_number == $page_counter ? 'disabled' : '') ?>'>
      									<a class='page-link rounded-0 mx-1' href='history.php?page=<?php echo $page_counter ?>'><?php echo $page_counter ?></a>
      								</li>
      							<?php
      									}
      								}elseif ($per_page > 5) {
      										// if it large pagination and current page is in middle
      									if ($page_number > 2 && $page_number < $per_page-2) {
      							?>
      							<li class='page-item'>
      								<a class='page-link rounded-0 mx-1' href='history.php?page=1'>1</a>
      							</li>
      							<li class='page-item disabled'>
      								<a class='page-link rounded-0 mx-1' href='#'>...</a>
      							</li>
      							<?php for($pages_count = $page_number -1; $pages_count < $page_number+2; $pages_count++){ ?>
      								<li class='page-item <?php echo ($page_number == $pages_count ? 'disabled' : '') ?>'>
      									<a class='page-link rounded-0 mx-1' href='history.php?page=<?php echo $pages_count ?>'><?php echo $pages_count ?></a>
      								</li>
      							<?php } ?>
      							<li class='page-item disabled'>
      								<a class='page-link rounded-0 mx-1' href='#'>...</a>
      							</li>
      							<li class='page-item'>
      								<a class='page-link rounded-0 mx-1' href='history.php?page=<?php echo $per_page ?>'><?php echo $per_page ?></a>
      							</li>
      							<?php
      								// if it page num 1
      								}elseif ($page_number == 1 || $page_number == 2) {
      										for($pages_count = $page_number; $pages_count <= $page_number + 3; $pages_count++){
      							?>
      							<li class='page-item <?php echo ($page_number == $pages_count ? 'disabled' : '') ?>'>
      								<a class='page-link rounded-0 mx-1' href='history.php?page=<?php echo $pages_count ?>'><?php echo $pages_count ?></a>
      							</li>
      							<?php } ?>
      							<li class='page-item disabled'>
      								<a class='page-link rounded-0 mx-1' href='#'>...</a>
      							</li>
      							<li class='page-item'>
      								<a class='page-link rounded-0 mx-1' href='history.php?page=<?php echo $per_page ?>'><?php echo $per_page ?></a>
      							</li>
      							<?php
      								}elseif ($page_number == $per_page || $page_number == $per_page-1 || $page_number == $per_page-2) {
      							?>
      							<li class='page-item'>
      								<a class='page-link rounded-0 mx-1' href='history.php?page=1'>1</a>
      							</li>
      							<li class='page-item disabled'>
      								<a class='page-link rounded-0 mx-1' href='#'>...</a>
      							</li>
      							<?php
      								for($pages_count = $page_number-3; $pages_count <= $per_page; $pages_count++){
      							?>
      							<li class='page-item <?php echo ($page_number == $pages_count ? 'disabled' : '') ?>'>
      								<a class='page-link rounded-0 mx-1' href='history.php?page=<?php echo $pages_count ?>'><?php echo $pages_count ?></a>
      							</li>
      							<?php
      										}
      									}
      								}
      							?>
      							<li class="page-item <?php echo ($page_number >= $result['histories']['last_page'] ? 'disabled' : '') ?>">
      		            <a class="page-link rounded-0 mx-1" href="history.php?page=<?php echo $page_number+1 ?>">&raquo;</a>
      		          </li>
      						</ul>
      					</nav>
      				</div>
      			<?php }?>
            <!-- ./pagination -->
          </div>
        <?php }?>
        </div>
      </div>

      <div class="only-print d-none" id="print_refund" dir="rtl" style="width:100%; margin-right: 5mm; text-align: center !important">
        <?php include 'includes/print/header.php'; ?>
        <h4 class="text-center"><?php echo $lang['order']; ?></h4>
        <div id="orders"></div>
        <?php include 'includes/print/footer.php'; ?>
      </div>

      <!-- ================= [ Errors Message Modal ] ================= -->
      <div class="modal" tabindex="-1" role="dialog" id="myModal">
        <div class="modal-dialog modal-dialog-centered" role="document">
          <div class="modal-content" style="border-radius: 25px;">
            <div class="modal-header">
              <button type="button" class="close mr-auto ml-0" data-dismiss="modal" aria-label="Close" onclick="closePop()">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body text-center">
              <h4 id="delivered_msg" class="text-danger text-center text-right mb-0"></h4>
            </div>
            <div class="modal-footer justify-content-between">
              <button type="button" class="btn btn-secondary btn-block my-0 mx-1" data-dismiss="modal" onclick="location.reload();"><?php echo $lang['finish']; ?></button>
            </div>
          </div>
        </div>
      </div>
      <!-- ================= [ Errors Message Modal ] ================= -->

      <script src="layouts/js/jquery-3.3.1.min.js"></script>
      <script type="text/javascript">
        function print_refund(order){
          var products = '',
              products_arr = order.bill_products;
          for (var i = 0; i < products_arr.length; i++) {
            products += `
              <table class="table table-bordered text-center my-4">
                <tbody id="orders">
                  <tr>
                    <td class="font-weight-bold"><?php echo $lang['product_name']; ?></td>
                    <td>`+order.bill_products[i].product_name+`</td>
                  </tr>
                  <tr>
                    <td class="font-weight-bold"><?php echo $lang['price']; ?></td>
                    <td>`+order.bill_products[i].price+` <?php echo $currency; ?></td>
                  </tr>
                  <tr>
                    <td class="font-weight-bold"><?php echo $lang['quantity']; ?></td>
                    <td>`+order.bill_products[i].quantity+`</td>
                  </tr>
                  <tr>
                    <td class="font-weight-bold"><?php echo $lang['buying_price']; ?></td>
                    <td>`+order.bill_products[i].bought_price+` <?php echo $currency; ?></td>
                  </tr>
                </tbody>
              </table>
            `;
          }
          var orders = `
            <table class="table table-bordered text-center">
              <tbody id="orders">
                <tr>
                  <td class="font-weight-bold"><?php echo $lang['product_name']; ?></td>
                  <td>`+order.product_name+`</td>
                </tr>
                <tr>
                  <td class="font-weight-bold"><?php echo $lang['date']; ?></td>
                  <td>`+order.created_at+`</td>
                </tr>
                <tr>
                  <td class="font-weight-bold"><?php echo $lang['bill_code']; ?></td>
                  <td>`+order.bill_id+`</td>
                </tr>
                <tr>
                  <td class="font-weight-bold"><?php echo $lang['used_code']; ?></td>
                  <td>`+order.use_promo+`</td>
                </tr>
                <tr>
                  <td class="font-weight-bold"><?php echo $lang['shippment_price']; ?></td>
                  <td>`+order.shipment+` <?php echo $currency; ?></td>
                </tr>
                <tr>
                  <td class="font-weight-bold"><?php echo $lang['shipment_without_price']; ?></td>
                  <td>`+order.bill_price_without_shipment+` <?php echo $currency; ?></td>
                </tr>
                <tr>
                  <td class="font-weight-bold"><?php echo $lang['username']; ?></td>
                  <td>`+order.user_name+`</td>
                </tr>
                <tr>
                  <td class="font-weight-bold"><?php echo $lang['branch']; ?></td>
                  <td>`+order.store_name+`</td>
                </tr>
              </tbody>
            </table>
            <h4 class="text-center"><?php echo $lang['products']; ?></h4>
          ` + products;
          $('#orders').html(orders);
          setTimeout(function(){window.print();}, 1000);
        }

        function delivered(id) {
          $.ajax({
            url: '<?php echo $api_link; ?>seller/deliver/inprogress',
            data: {'purchase_id': id, 'api_token': '<?php echo $_SESSION['seller_token']; ?>'},
            method: 'POST',
            success: function (result) {
              $('#delivered_msg').text(result.message);
              $('#myModal').modal('show');
              $('#delivered').removeClass('btn-success').addClass('btn-secondary');
            },
            error: function (err) {
              $('#delivered_msg').text(err.responseJSON.message);
              $('#myModal').modal('show');
            }
          });
        }
      </script>
    <?php include "includes/footer.php"; ?>
