<?php
  include "includes/config.php";
  $nav = 'refund';
  $page = 'checkout';
  $navCat= 'invoice';
  // Page Seo Settings
  $page_title = 'Check Product Details |Royal';
  $page_description = 'Royal Bees is an online store where you can buy accessories for Woman, Men and Kids. Our products are designed in Europe and made from most precious gemstones and silver. We have wide range of luxurious products that will meet your needs.';
  $page_img = 'https://luxgems.co.uk/pos/layouts/images/og.png';
  $page_url = 'https://luxgems.co.uk/pos/home';
  include "includes/header2.php";
  include "includes/navBar.php";
  
  if (isset($_SESSION['seller_token'])) {
    if (isset($_POST['btn-detail'])) {
      $arr = array('bill_id' => $_POST['bill_id'], 'api_token' => $_SESSION['seller_token']);
      $result = postApi($api_link . 'seller/scan/bill', $arr);
    }
  } else {echo "<script>document.location.replace('./')</script>";}
?>
    <div id="loginPage" dir="rtl" class="bg-main">
      <div class="w-overlay h-100 d-flex align-items-center py-5 v-height no-print">
        <div class="container">
          <div class="row justify-content-center">
            <div class="col-md-6">
              <div class="bg-white border rounded p-3 py-4 text-center">
                <h3 class="text-center my-4 text-muted text-uppercase font-weight-bold"><?php echo $lang['bill_details']; ?></h3>
                <form action="<?php echo $_SERVER['PHP_SELF'] ?>" method="post">
                  <input type="number" class="form-control my-3 rounded-0" placeholder="<?php echo $lang['bill_code']; ?>" aria-label="product code" aria-describedby="button-addon2" name="bill_id" value="<?php echo (isset($_POST['bill_id']) ? $_POST['bill_id'] :'') ?>" dir="rtl" autocomplete="off" autofocus>
                  <button class="btn btn-primary border-0 btn-block my-3 rounded-0" type="submit" id="check_btn" name="btn-detail"><?php echo $lang['check']; ?></button>
                </form>
                <?php if(isset($_POST['btn-detail']) && $result['code'] != 200) { ?>
                  <p class="text-danger"><?php echo $result['message'] ?></p>
                <?php } ?>
              </div>
              <?php if (isset($_POST['btn-detail']) && $result['code'] == 200){ ?>
              <div class="bg-white border rounded my-2 p-3 py-4 text-center">
                <div class="alert alert-danger d-none" id="product_err"></div>
                  <div id="table-refund">
                    <table class="table table-bordered table-sm text-center">
                      <thead class="bg-white">
                        <tr>
                          <th><?php echo $lang['code']; ?></th>
                          <th><?php echo $lang['quantity']; ?></th>
                          <th><?php echo $lang['price'] ?></th>
                          <th class="no-print"><?php echo $lang['del']; ?></th>
                        </tr>
                      </thead>
                      <tbody id="products" class="bg-light">
                        <tr><td colspan="5"><?php echo $lang['no_products']; ?></td></tr>
                      </tbody>
                    </table>

                  </div>
                  <button class="btn btn-success btn-block d-none" id="refund"><?php echo $lang['refund']; ?></button>
                  <div class="text-right"><?php echo $lang['total']; ?>: <span id="total">0</span> <?php echo $currency; ?></div>
              </div>
            <?php } ?>
            </div>
            <?php if (isset($_POST['btn-detail']) && $result['code'] == 200){ ?>
              <div class="col-md-6">
                <div class="text-center mb-3">
                <img src="./layouts/images/icon/lightbulb.png" style="width:10%; height:7%;" class="d-inline ml-2">
                <h3 class="text-success d-inline  "><?php echo $lang['choose item to refund it']; ?></h3>
              </div>
                
                <div class="bg-white border rounded p-3 py-4 text-center" id="table-parch">
                  <p class="text-right"><?php echo $lang['bill_code']; ?>: <?php echo $_POST['bill_id'] ?><button type="button" name="button" class="btn btn-success float-left no-print" onclick="print_parch()"><?php echo $lang['print_bill']; ?></button></p>
                  <table class="table table-bordered table-hover text-center">
                    <thead>
                      <tr>
                        <th><?php echo $lang['product_code']; ?></th>
                        <th><?php echo $lang['quantity']; ?></th>
                        <th><?php echo $lang['price']; ?></th>
                        <th class="no-print"><?php echo $lang['bill_status']; ?></th>
                      </tr>
                    </thead>
                    <tbody>
                      <?php foreach ($result['bill_products'] as $product): ?>
                        <tr>
                          <td class="text-info bill_id u_id" data-quantity="<?php echo $product['quantity'] ?>" data-price="<?php echo $product['price']/$product['quantity'] ?>" data-uID="<?php echo $product['product_unique_id'] ?>"><?php echo $product['product_unique_id'] ?></td>
                          <td><?php echo $product['quantity'] ?></td>
                          <td><?php echo $product['price'] ?> <?php echo $currency; ?></td>
                          <td class="no-print"><?php echo $product['order_status'] ?></td>
                        </tr>
                      <?php endforeach; ?>
                    </tbody>
                  </table>
                  
                  <div class="data-info"><p><span>اسم المستخدم:</span> <?php echo $result['user_name'] ?></p></div>
                  <div class="data-info"><p><span>رقم التليفون:</span> <?php echo $result['user_phone'] ?></p></div>
                  <p class="text-right"><?php echo $lang['total']; ?>: <?php
                    $total = 0;
                    foreach ($result['bill_products'] as $product){$total = ($total + $product['price']);}
                    echo $total . ' ' . $currency;
                  ?></p>
                  
                </div>
              </div>
            <?php } ?>
          </div>
        </div>
      </div>
    </div>
    <div class="no-print d-none" id="print_parch" dir="rtl" style="width:100%; margin-right: 5mm; text-align: center !important">
      <?php include 'includes/print/header.php'; ?>
      <div id="print_parch_container"></div>
      <?php include 'includes/print/footer.php'; ?>
    </div>
    <div class="no-print d-none" id="print_refund" dir="rtl" style="width:100%; margin-right: 5mm; text-align: center !important">
      <?php include 'includes/print/header.php'; ?>
      <h4 class="text-center"><?php echo $lang['refund_bill']; ?></h4>
      <div id="print_refund_container"></div>
      <?php include 'includes/print/footer.php'; ?>
    </div>
    <!-- ================= [ Errors Modal ] ================= -->
    <div class="modal no-print" tabindex="-1" role="dialog" id="messages">
      <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content" style="border-radius: 25px;">
          <div class="modal-header">
            <button type="button" class="close mr-auto ml-0" data-dismiss="modal" aria-label="Close" onclick="location.reload();">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body text-center py-5">
            <h4 class="text-ceter mt-3 d-none" id="refundSuccess"></h4>
          </div>
          <div class="modal-footer justify-content-between">
            <button type="button" class="btn btn-dark btn-block my-0 mx-1" data-dismiss="modal" onclick="print_refund();"><?php echo $lang['print']; ?></button>
          </div>
        </div>
      </div>
    </div>

    <script src="layouts/js/jquery-3.3.1.min.js"></script>
    <script src="layouts/js/JsBarcode.all.min.js"></script>
    <script>
      // ================= [ Variables ] =================
      var data = [],
          total = 0;
      if (data.length == 0) {$(".bill_id").addClass('text-info').removeClass('text-white bg-danger');}

      // ================= [ Add product to order ] =================
      // Add Product Button Listener
      $(".bill_id").on("click", function () {
        var code = $("#product_code_input").val();
        $(this).addClass('text-white bg-danger').removeClass('text-info');
        var x = false;
        // Check if Code founded
        for (var i = 0; i < data.length; i++) {
          if (data[i].id ==  $(this).text()) { x = true; break; }
          else { x = false; }
        }
        if (x != true || data.length == 0) {
          $("#product_err").addClass('d-none').text("");
          data.push({"id": $(this).text(), "quantity": $(this).data('quantity'), "old_quantity": $(this).data('quantity'), "price": $(this).data('price')});
          $("#products").html("");
          for (var i = 0; i < data.length; i++) {
            $("#products").append(`
              <tr>
                <td><p>` + data[i].id + `</p></td>
                <td>
                <div class="d-none only-print">`+data[i].quantity+`</div>
                <div class="d-block no-print">
                  <div class="input-group">
                    <div class="input-group-prepend">
                      <button class="btn btn-success rounded-0 countAdd" type="button" onclick="count(0, `+data[i].id+`, `+data[i].old_quantity+`)">+</button>
                    </div>
                    <input type="number" min="1" value="`+data[i].quantity+`" max="`+data[i].quantity+`" placeholder="<?php echo $lang['quantity']; ?>" class="form-control num border-success rounded-0 product-quantity-`+data[i].id+`" autocomplete="off" onchange="editQuantity(`+data[i].id+`)">
                    <div class="input-group-prepend">
                      <button class="btn btn-success rounded-right rounded-0 btn-block countSub" type="button" onclick="count(1, `+data[i].id+`, `+data[i].old_quantity+`)">-</button>
                    </div>
                  </div>
                </div>
                </td>
                <td><p>` + data[i].price + ` <?php echo $currency; ?></p></td>
                <td class="no-print"><button class="btn btn-transparent bg-transparent" onclick="removeProduct(`+i+`)"><span aria-hidden="true" class="text-danger font-weight-bold del-btn">&times;</span></button></td>
              </tr>
            `);
          }
          $("#refund").removeClass("d-none");
          totalCount();
        }else {
          $(this).removeClass('text-white bg-danger');
          for (var i = 0; i < data.length; i++) {
            if (data[i].id ==  $(this).text()) {
              removeProduct(i);
            }
          }
        }
      });

      // ================= [ TotlaCount Function ] =================
      function totalCount(){
        total = 0;
        for (var i = 0; i < data.length; i++) {
          total += parseFloat(data[i].price) * data[i].quantity;
        }
        $("#total").text(total);
      }

      // ================= [ Remove Product From Order ] =================
      function removeProduct(id) {
        $(".u_id").each(function(){
          if ($(this).text() == data[id].id) {
            $(this).removeClass('text-white bg-danger');
          }
        });
        data.splice(id, 1);
        $("#products").html("");
        for (var i = 0; i < data.length; i++) {
          $("#products").append(`
            <tr>
              <td><p>` + data[i].id + `</p></td>
              <td>
                <div class="d-none only-print">`+data[i].quantity+`</div>
                <div class="d-block no-print">
                  <div class="input-group">
                    <div class="input-group-prepend">
                      <button class="btn btn-success rounded-0 countAdd" type="button" onclick="count(0, `+data[i].id+`, `+data[i].old_quantity+`)">+</button>
                    </div>
                    <input type="number" min="1" value="`+data[i].quantity+`" max="`+data[i].quantity+`" placeholder="<?php echo $lang['quantity']; ?>" class="form-control num border-success rounded-0 product-quantity-`+data[i].id+`" autocomplete="off" onchange="editQuantity(`+data[i].id+`)">
                    <div class="input-group-prepend">
                      <button class="btn btn-success rounded-right rounded-0 btn-block countSub" type="button" onclick="count(1, `+data[i].id+`, `+data[i].old_quantity+`)">-</button>
                    </div>
                  </div>
                </div>
              </td>
              <td><p>` + data[i].price + ` <?php echo $currency; ?></p></td>
              <td class="no-print"><button class="btn btn-transparent bg-transparent" onclick="removeProduct(`+i+`)"><span aria-hidden="true" class="text-danger font-weight-bold del-btn">&times;</span></button></td>
            </tr>
          `);
          $("#refund").removeClass("d-none");
          totalCount();
        }
        if (data.length == 0) {
          $("#products").html("<tr><td colspan='5'><?php echo $lang['no_products']; ?></td></tr>");
          $(".bill_id").addClass('text-info').removeClass('text-white bg-danger');
          $("#refund").addClass("d-none");
          totalCount();
        }
      }

      // ================= [ Edit Quantity ] =================
      function changeDesc( code, quantity ) {
         for (var i in data) {
           if (data[i].id == code) {
              data[i].quantity = quantity;
              break;
           }
         }
         totalCount();
      }
      function editQuantity(id){changeDesc(id, $('.product-quantity-'+id).val());}

      // ================= [ Calculate Add & Sub Quantities ] =================
      function count(type, code, max){
        if (type == 0) {
          if($('.product-quantity-'+code).val() == ''){ $('.product-quantity-'+code).val(1);}
          if ($('.product-quantity-'+code).val() < max) {
            $('.product-quantity-'+code).val(parseInt($('.product-quantity-'+code).val()) + 1);
            changeDesc(code, $('.product-quantity-'+code).val());
          }
        } else {
          if($('.product-quantity-'+code).val() == ''){ $('.product-quantity-'+code).val(1);}
          if($('.product-quantity-'+code).val() > 1){
            $('.product-quantity-'+code).val(parseInt($('.product-quantity-'+code).val()) - 1);
          }
          changeDesc(code, $('.product-quantity-'+code).val());
        }
        // Rerendeer
        $("#products").html("");
        for (var i = 0; i < data.length; i++) {
          $("#products").append(`
            <tr>
              <td><p>` + data[i].id + `</p></td>
              <td>
              <div class="d-none only-print">`+data[i].quantity+`</div>
              <div class="d-block no-print">
                <div class="input-group">
                  <div class="input-group-prepend">
                    <button class="btn btn-success rounded-0 countAdd" type="button" onclick="count(0, `+data[i].id+`, `+data[i].old_quantity+`)">+</button>
                  </div>
                  <input type="number" min="1" value="`+data[i].quantity+`" max="`+data[i].quantity+`" placeholder="<?php echo $lang['quantity']; ?>" class="form-control num border-success rounded-0 product-quantity-`+data[i].id+`" autocomplete="off" onchange="editQuantity(`+data[i].id+`)">
                  <div class="input-group-prepend">
                    <button class="btn btn-success rounded-right rounded-0 btn-block countSub" type="button" onclick="count(1, `+data[i].id+`, `+data[i].old_quantity+`)">-</button>
                  </div>
                </div>
              </div>
              </td>
              <td><p>` + data[i].price + ` <?php echo $currency; ?></p></td>
              <td class="no-print"><button class="btn btn-transparent bg-transparent" onclick="removeProduct(`+i+`)"><span aria-hidden="true" class="text-danger font-weight-bold del-btn">&times;</span></button></td>
            </tr>
          `);
        }
        $("#refund").removeClass("d-none");
        totalCount();
      }

      $("#refund").on("click", function(){
        // Variables
        var products = '';
        for (i = 0; i < data.length; i++) {
          products += `{
            "unique_id": `+data[i].id+`,
            "quantity": `+data[i].quantity+`
          }`;
          if (data.length>1 && i < data.length-1) {
            products += ',';
          }
        }
        var JSONRequest = `
          {
          	"refunds" : [`+products+`],
          		"api_token" : "<?php echo $_SESSION['seller_token'];?>",
          		"bill_id" : "<?php echo $_POST['bill_id'];?>"
          }`;
        $.ajax({
          url: '<?php echo $api_link; ?>seller/refund',
          data: JSONRequest,
          type: 'POST',
          processData: false,
          contentType: 'application/json',
          success: function (result) {
            $('#messages').modal({
              backdrop: 'static',
              keyboard: false
            });
            $("#messages").modal('show');
            $("#refundSuccess").removeClass("d-none text-danger").addClass("text-success");
            $("#refundSuccess").html(result.message);
          },
          error: function(err){
            $('#messages').modal({
              backdrop: 'static',
              keyboard: false
            });
            $("#messages").modal('show');
            $("#refundSuccess").removeClass("d-none text-success").addClass("text-danger");
            $("#refundSuccess").text(err.responseJSON.message);
          }
        });
     
      });

      function print_parch(){
        var dom = $("#table-parch").html();
        $("#print_parch").removeClass('no-print').addClass("only-print");
        $("#print_refund").removeClass("only-print").addClass('no-print');
        $("#print_parch_container").html(dom);
        JsBarcode("#barcode", <?php echo $_POST['bill_id'];?>);
       
        window.print();
      }
      function print_refund(){
        $("#errorsModal").modal('hide');
        var dom = $("#table-refund").html();
        $("#print_refund").removeClass('no-print').addClass("only-print");
        $("#print_parch").removeClass("only-print").addClass('no-print');
        $("#print_refund_container").html(dom);
        JsBarcode("#barcode", <?php echo $_POST['bill_id'];?>);
        window.print();
        location.reload();
      }
      $("#refund").on("click", function(){
        $(this).attr("disabled","disabled");
      });
      </script>
    <?php include "includes/footer.php"; ?>
